# $Revision: 1.38 $, $Date: 2005/02/07 21:39:18 $
Summary:	ispell - interactive spelling checker
Summary(de):	ispell - interaktive Rechtschreibprfung
Summary(fr):	ispell - vrificateur orthographique interactif
Summary(pl):	ispell - interaktywny program do sprawdzania pisowni
Summary(ru):	ispell -    
Summary(tr):	Etkilmli yazm denetleyici
Summary(uk):	ispell -   צ Ʀ
Name:		ispell
Version:	3.2.06
Release:	3
License:	BSD-like
Group:		Applications/Text
Source0:	http://fmg-www.cs.ucla.edu/geoff/tars/%{name}-%{version}.tar.gz
# Source0-md5:	d434e1aef1a815294d5012c60c4c414a
Source1:	spell
Patch0:		%{name}-config.patch
Patch1:		%{name}-termio.patch
Patch2:		%{name}-mask.axp.patch
Patch3:		%{name}-gets.patch
Patch4:		%{name}-german.patch
Patch5:		%{name}-ncurses.patch
Patch6:		%{name}-munchlist.patch
Patch7:		%{name}-config2.patch
Patch8:		%{name}-yuck.patch
Patch9:		%{name}-pmake.patch
URL:		http://ficus-www.cs.ucla.edu/geoff/ispell.html
BuildRequires:	bison
Conflicts:	vim-ispell <= 4:6.1.212-4
Conflicts:	ispell-pl < 20021127-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the interactive spelling checker. You can run it on text files
and it will interactively spell check. This means it will tell you
about words it doesn't know, and will suggest alternatives when it
can.

%description -l de
Dies ist die interaktive Rechtschreibprfung. Sie kann auf Textdateien
angewendet werden und prft interaktiv auf orthographische Fehler. Das
heit, das Programm meldet, Mglichkeit eine Alternative vor.

%description -l fr
Le correcteur orthographique interactif. Vous pouvez le lancer sur des
fichiers texte et il les vrifiera de manire interactive. Cela
sisgnifie qu'il vous indiquera les mots qu'il ne reconnait pas et vous
proposera des solutions de remplacement s'il le peut.

%description -l pl
Program ten to interaktywny pakiet do sprawdzania pisowni. Mona
uywa go do sprawdzania pisowni plikw tekstowych. Dziaa on w ten
sposb, e informuje o napotkanych, nieznanych sowach i sugeruje ich
zamienniki znajdujce si w sowniku.

%description -l uk
Ispell -    צ Ʀ. Ispell
צѤ     Ʀ .  
 ,    ,  դ ˦ 
 Φ   ͦ.

Φ ,    ͦ   צ.  
Ҧ      ˦   ,
Φ Ԧ     צ.

%description -l tr
ispell, metin dosyalar zerinde szck yazm denetimleri yapan ve
hatal olduunu dnd szckleri kullancya bildirerek
etkileimli olarak dzeltilmesine alan bir yazlmdr. Dzeltme
nerilerinde bulunma yetenei de vardr.

%description -l ru
Ispell -     . Ispell
        .
   ,    ,  
      .

 ,       ,
          ,
      .

%package en
Summary:	English dictionary for ispell
Summary(pl):	Angielski sownik dla ispella
Group:		Applications/Text
Requires:	%{name} = %{version}

%description en
English dictionary (i.e. word list) for ispell.

%description en -l pl
Angielski sownik (lista sw) dla ispella.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch alpha
%patch2 -p1
%endif
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
%patch9 -p1

%build
sed "s/CFLAGS \"-O\"/CFLAGS \"%{rpmcflags}\"/" <local.h >local.h.tmp
sed -e "s,\"/usr/lib/ispell\",\"%{_libdir}/ispell\",g" \
	<local.h.tmp >local.h

# Make config.sh first
PATH=.:$PATH %{__make} config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp -f config.sh config.sh.BUILD
sed -e "s,/usr/lib/ispell,%{_libdir}/ispell,g" < config.sh.BUILD | \
	sed -e "s,/usr/,$RPM_BUILD_ROOT%{_prefix}/,g" > config.sh.INSTALL

# and then make everything
PATH=.:$PATH TEMLIB="-lncurses" %{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_infodir},%{_libdir}/emacs/site-lisp}

# Roll in the build-root'ed version (with time-stamp!)
mv -f config.sh.INSTALL config.sh
PATH=.:$PATH %{__make} install

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%preun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man4/*
%dir %{_libdir}/ispell

%files en
%defattr(644,root,root,755)
%{_libdir}/ispell/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ispell.spec,v $
Revision 1.38  2005/02/07 21:39:18  averne
- fixed to work with %{_libdir}

Revision 1.37  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.36  2004/01/05 01:30:24  undefine
- release 2

Revision 1.35  2003/12/27 22:28:37  undefine
- s,/usr/lib/ispell,%{_libdir}/ispell to allow build on amd64

Revision 1.34  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/02 18:27:03  juandon
- added pmake.patch

Revision 1.31  2003/02/04 19:55:57  mmazur
- fixed building

Revision 1.30  2002/12/27 01:46:21  qboosh
- updated to 3.2.06 - last available version
- it's not "GNU" - GNU ispell was short-lived version 4.0 existing before 3.1
- removed obsolete info,mask,no-EXTRADICT,glibc,texlongspace patches
- updated config,gets,[german],config2,[isohtml] patches
- removed isohtml patch - it's partially applied and remaining part wasn't used
  (HTSPECIAL was no defined), so I don't bother to update it
- WARNING: format changed, dictionaries must be rebuilt!

Revision 1.29  2002/05/27 19:37:27  qboosh
- separated English dictionary - not everyone needs it
- new %%doc
- release 36

Revision 1.28  2002/04/25 16:37:52  arturs
fixed a small typo

Revision 1.27  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/22 09:47:11  kloczek
- release 35: removed buggy noprotosplease2 patch (causes compilation
  failing on axp).

Revision 1.25  2002/02/21 04:05:29  kloczek
- release 34,
- merge noprotosplease2, jbj, isohtml patches from rawhide,
- remove /sbin/install-info from Prereq,
- merge translations from KSI.

Revision 1.24  2002/02/16 12:33:19  malekith
- rel 16
- license is got damn BSD not GPL
- i still don't know why it's GNU Ispell... (but I left it)
- adapterized

Revision 1.23  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.22  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/25 12:01:35  qrczak
- ispell-config2.patch: fix paths of installed files

Revision 1.20  2001/10/13 22:16:06  qboosh
- glibc patch - don't #define bzero/bcopy etc.
- added YACC="bison -y" to config patch, fixed config patch, BuildReq: bison
- info patch now fixes ispell.texinfo so it can be rebuild
  (removed separate ispell.info; fixed FHS in config patch; BuildReq: texinfo)
- release 15

Revision 1.19  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.18  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/09/04 19:13:19  baggins
- release 14
- added no-EXTRADICT patch

Revision 1.16  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.14  1999/09/16 14:25:53  wiget
- typo

Revision 1.13  1999/09/16 13:54:26  wiget
- added missing %%patch8

Revision 1.12  1999/09/16 13:51:15  wiget
- added ispell-munchlist.patch

Revision 1.11  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.10  1999/07/12 23:06:00  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 23 1999 Micha Kuratczyk <kura@pld.org.pl>
  [3.1.20-12]
- gzipping documentation instead bzipping
- fixed Group(pl)
- cosmetic changes for common l&f

* Sun Dec 20 1998 Artur Frysiak <wiget@usa.net>
- add missing -l pl to polish %%description
- change source name to %%{name}-%%{version}.tar.gz
- change man pages group to man
- change BuildRoot to /var/tmp/%%{name}-%%{version}-%%{release}-root
- split ispell-2.1.30-mask.patch to ispell-mask.axp.patch and ispell-mask.patch
- add ispell-gets.patch
-- remove posible buffer overflow in sq/unsq

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
